Skip site navigation (1) Skip section navigation (2)

upgrading from 8.1.4 to 8.3.3

From: Joao Ferreira gmail <joao(dot)miguel(dot)c(dot)ferreira(at)gmail(dot)com>
To: pgsql-general <pgsql-general(at)postgresql(dot)org>
Subject: upgrading from 8.1.4 to 8.3.3
Date: 2008-08-28 09:53:28
Message-ID: 1219917208.6439.15.camel@jmf-ubuntu (view raw or flat)
Thread:
Lists: pgsql-general
Hello all,

I'm getting this error after installing pg-8.3.3 on a test system which
had 8.1.4

shell> su postgres -c "/usr/bin/postmaster -D /var/pgsql/data"
FATAL:  database files are incompatible with server
DETAIL:  The data directory was initialized by PostgreSQL version 8.1,
which is not compatible with this version 8.3.3.


I guess I should get a pg_dumpall before upgrading and put the data back
after the upgrade.

Is this correct ?

Is there a more apropriate approach ?

thanks
joao



Responses

pgsql-general by date

Next:From: Jorge GodoyDate: 2008-08-28 10:57:52
Subject: Re: upgrading from 8.1.4 to 8.3.3
Previous:From: Andreas KretschmerDate: 2008-08-28 07:44:08
Subject: Re: Slow PG after upgrade to 8.2.9!!

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group